package com.zoniot.readingmeter.controller;

import com.zoniot.readingmeter.model.AjaxMessage;
import com.zoniot.readingmeter.model.DataMessage;
import com.zoniot.readingmeter.model.ResponseMessage;
import com.zoniot.readingmeter.service.ReadingMeterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDate;
import java.util.List;

@Controller
@Api(tags = "抄表")
public class ReadingMeterController {
    @Autowired
    private ReadingMeterService readingMeterService;

    @ResponseBody
    @GetMapping("/ReadingMeter")
    @ApiOperation(value = "查询抄表")
    public AjaxMessage<List<DataMessage>> getReadingMeter(
            @ApiParam(value = "水表表号,多个英文逗号隔开", required = false) @RequestParam(required = false) List<String> MeterCode,
            @ApiParam(value = "冻结日期 yyyy-MM-dd", required = false) @RequestParam(required = false) @DateTimeFormat(pattern = "yyyy-MM-dd") LocalDate ReadingTime,
            @ApiParam(value = "账户", required = false) @RequestParam(required = false) String Account,
            @ApiParam(value = "密码", required = false) @RequestParam(required = false) String Password

    ){

        List<DataMessage> list = readingMeterService.getReadingMeter(MeterCode,ReadingTime);
        return new AjaxMessage<>(list);
    }

    @ResponseBody
    @GetMapping("/SwitchMeter")
    @ApiOperation(value = "开关阀")
    public ResponseMessage switchMeter(
            @ApiParam(value = "水表表号", required = true) @RequestParam(required = true) String MeterCode,
            @ApiParam(value = "开关阀指令0 -关阀 1 –开阀", required = true) @RequestParam(required = true) String Command,
            @ApiParam(value = "原因", required = false) @RequestParam(required = false) String Reason,
            @ApiParam(value = "备注", required = false) @RequestParam(required = false) String Remark,
            @ApiParam(value = "账户", required = false) @RequestParam(required = false) String Account,
            @ApiParam(value = "密码", required = false) @RequestParam(required = false) String Password

    ){
        return readingMeterService.switchMeter(MeterCode,Command,Reason,Remark);
    }
}
