package com.zoniot.readingmeter.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import lombok.Data;

@ApiModel(value="com-zoniot-readingmeter-entity-ScMeterReadRecord")
@Data
public class ScMeterReadRecord {
    /**
    * 主键
    */
    @ApiModelProperty(value="主键")
    private Long id;

    /**
    * 读表日期
    */
    @ApiModelProperty(value="读表日期")
    private Integer readDate;

    /**
    * 站点
    */
    @ApiModelProperty(value="站点")
    private Integer siteId;

    /**
    * 场景
    */
    @ApiModelProperty(value="场景")
    private Integer sysId;

    /**
    * 省
    */
    @ApiModelProperty(value="省")
    private Integer province;

    /**
    * 市
    */
    @ApiModelProperty(value="市")
    private Integer city;

    /**
    * 区
    */
    @ApiModelProperty(value="区")
    private Integer region;

    /**
    * 小区
    */
    @ApiModelProperty(value="小区")
    private Integer community;

    /**
    * 客户
    */
    @ApiModelProperty(value="客户")
    private Integer customerId;

    /**
    * 集中器
    */
    @ApiModelProperty(value="集中器")
    private Integer concentratorId;

    /**
    * 采集器
    */
    @ApiModelProperty(value="采集器")
    private Integer collectorId;

    /**
    * 建筑
    */
    @ApiModelProperty(value="建筑")
    private Integer buildingId;

    /**
    * 安装地址
    */
    @ApiModelProperty(value="安装地址")
    private String location;

    /**
    * 设备类型
    */
    @ApiModelProperty(value="设备类型")
    private Integer deviceTypeId;

    /**
    * 设备id
    */
    @ApiModelProperty(value="设备id")
    private Long deviceId;

    /**
    * 节点编号
    */
    @ApiModelProperty(value="节点编号")
    private String deviceNo;

    /**
    * 电子号
    */
    @ApiModelProperty(value="电子号")
    private String meterNo;

    /**
    * 档案号
    */
    @ApiModelProperty(value="档案号")
    private String meterFileNo;

    /**
    * 读表时间
    */
    @ApiModelProperty(value="读表时间")
    private LocalDateTime readTime;

    /**
    * 读表状态
    */
    @ApiModelProperty(value="读表状态")
    private String readStatus;

    /**
    * 读表数据
    */
    @ApiModelProperty(value="读表数据")
    private String readData;

    /**
    * 最近有效数据
    */
    @ApiModelProperty(value="最近有效数据")
    private String lastValid;

    /**
    * 距离上次的消耗
    */
    @ApiModelProperty(value="距离上次的消耗")
    private BigDecimal lastCost;

    /**
    * 状态
    */
    @ApiModelProperty(value="状态")
    private Integer status;

    /**
    * 创建时间
    */
    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    /**
    * 更新时间
    */
    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;

    /**
    * 创建人
    */
    @ApiModelProperty(value="创建人")
    private String createBy;

    /**
    * 更新人
    */
    @ApiModelProperty(value="更新人")
    private String updateBy;
}