package com.zoniot.readingmeter.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.Map;
import java.util.concurrent.TimeUnit;

@Slf4j
@Component
public class AccessTokenService {

    //@Autowired
    //private RedisTemplate<String, String> redisTemplate;
    private RestTemplate restTemplate = new RestTemplate();
    @Value("${water-cloud-url}")
    String apiUrl;

    public String getAccessToken(){
        String token = null;
        //token = redisTemplate.opsForValue().get("ningbo:accessToken");
        if (token != null) {
            return token;
        }else {
            String tokenUrl = apiUrl + "/api/app/login";
            //log.info("postData : {}", JSON.toJSONString(deviceReplace));
            HttpHeaders headers = new HttpHeaders();
            headers.setContentType(MediaType.APPLICATION_JSON);

            Map<String,String> map = new HashMap<>();
            map.put("appId","senxinju");
            map.put("appSecretKey","senxinju");
            String content = JSON.toJSONString(map);

            HttpEntity<String> request = new HttpEntity<>(content, headers);

            ResponseEntity<String> responseEntity = null;
            try {
                responseEntity = restTemplate.postForEntity(tokenUrl, request, String.class);
            }catch (Exception e){
                log.error("request error e={}",e.getMessage());
            }

            if (responseEntity != null) {
                log.info("responseEntity : {} {}", responseEntity.getStatusCodeValue(),responseEntity.getBody());
                JSONObject jsonObj = (JSONObject) JSONObject.parse(responseEntity.getBody());
                Integer status = jsonObj.getInteger("status");
                if (status==0) {
                    //redisTemplate.opsForValue().set("ningbo:accessToken",accessTokenTem,3500, TimeUnit.SECONDS);
                    return jsonObj.getJSONObject("data").getString("token");
                } else {
                    log.info("请求token错误");
                }
            }

        }
        return token;
    }
}
