package com.zoniot.readingmeter.service.impl;

import com.alibaba.fastjson.JSON;
import com.zoniot.readingmeter.dao.ScMeterReadRecordMapper;
import com.zoniot.readingmeter.model.DataMessage;
import com.zoniot.readingmeter.model.ResponseMessage;
import com.zoniot.readingmeter.service.OptService;
import com.zoniot.readingmeter.service.ReadingMeterService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.List;

@Slf4j
@Service
public class ReadingMeterServiceImpl implements ReadingMeterService {

    @Autowired
    private OptService optService;

    @Value("${customerId}")
    Integer customerId;

    @Resource
    private ScMeterReadRecordMapper scMeterReadRecordMapper;
    @Override
    public List<DataMessage> getReadingMeter(List<String> meterCodes, LocalDate readingTime) {
        log.info("switchMeter meterCodes={},readingTime={}",JSON.toJSONString(meterCodes),readingTime);
        if (readingTime == null) {
            readingTime = LocalDate.now().plusDays(-1);
        }
        Integer date = Integer.valueOf(readingTime.format(DateTimeFormatter.ofPattern("yyyyMMdd")));;
        List<DataMessage> list = scMeterReadRecordMapper.getReadingMeter(customerId,meterCodes,date);
        log.info("switchMeter list size = {}, list={}", list.size(), JSON.toJSONString(list));
        return list;
    }

    @Override
    public ResponseMessage switchMeter(String meterCode, String command, String reason, String remark) {
        log.info("switchMeter meterCode={},command={},reason={},remark={}",meterCode,command,reason,remark);
        return optService.valveControl(meterCode,command);
    }
}
